Get All Pm Jobs

Get All Pm Jobs

Query existing Performance Management Jobs for reporting

Request
URI
GET
https://{api_host}/hybridity/api/vnfpm/v1/pm_jobs
COPY
Query Parameters
string
filter
Optional

filter

Header Parameters
string
Accept-Language
Optional

Accept-Language


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns pmJobs of type(s) application/json
{
    "pmJobs": [
        {
            "pmJobId": "string",
            "pmJobName": "string",
            "objectId": "string",
            "objectType": "string",
            "status": "string",
            "errorMessage": "string",
            "creationDate": 0,
            "pmJobCriteria": {
                "performanceMetric": [
                    "string"
                ],
                "performanceMetricGroup": [
                    "string"
                ],
                "collectionPeriod": 0,
                "reportingPeriod": 0,
                "reportingBoundary": "string"
            },
            "reportsAvailableForDownload": 0,
            "reports": [
                {
                    "reportId": "string",
                    "objectId": "string",
                    "objectType": "string",
                    "reportName": "string",
                    "link": "string",
                    "creationTime": 0,
                    "expirationTime": 0,
                    "fileSize": "number",
                    "status": "string",
                    "errorMessage": "string",
                    "warnings": [
                        {
                            "message": "string"
                        }
                    ],
                    "errors": [
                        {
                            "code": "string",
                            "message": "string"
                        }
                    ]
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ],
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of pmJob
pmJobs
Optional

pmJobs

array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors